Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.actions
Class PortalObjectDisplayNameAction

    java.lang.Object
      org.jboss.portal.core.admin.ui.actions.PortalObjectDisplayNameAction

    public class PortalObjectDisplayNameAction

extends java.lang.Object

Version:
  $Revision$
Author:
  Thomas Heute, Wesley Hales

Field Summary
`java.lang.Object` | `bean`

Constructor Summary
`PortalObjectDisplayNameAction()`

Method Summary
`void` | `addDisplayName()`
`void` | `editDisplayName()`
`java.lang.String` | `editDisplayNames()`
`java.lang.Object` | `getBean()`
`java.util.List<DisplayNameBean.Value>` | `getCurrentLocales()`
`DisplayNameBean` | `getDisplayNameBean()`
`java.lang.String` | `getFacesParam(java.lang.String param)`
`java.util.SortedMap` | `getLocales()`
`java.lang.String` | `getNewLocale()`
`java.lang.String` | `getNewText()`
`PortalObject` | `getSelectedObject()`
`void` | `setBean(java.lang.Object bean)`
`void` | `setDisplayNameBean(DisplayNameBean displayNameBean)`
`void` | `setLocales(java.util.SortedMap locales)`
`void` | `setNewLocale(java.lang.String newLocale)`
`void` | `setNewText(java.lang.String newText)`
`void` | `setSelectedObject(PortalObject selectedObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bean

    public java.lang.Object bean

Constructor Detail

### PortalObjectDisplayNameAction

    public PortalObjectDisplayNameAction()

Method Detail

### getBean

    public java.lang.Object getBean()

### setBean

    public void setBean(java.lang.Object bean)

### addDisplayName

    public void addDisplayName()
                        throws org.jboss.portal.common.util.ConversionException

  Throws:
    `org.jboss.portal.common.util.ConversionException`

### getSelectedObject

    public PortalObject getSelectedObject()

### setSelectedObject

    public void setSelectedObject(PortalObject selectedObject)

### getNewText

    public java.lang.String getNewText()

### setNewText

    public void setNewText(java.lang.String newText)

### getNewLocale

    public java.lang.String getNewLocale()

### setNewLocale

    public void setNewLocale(java.lang.String newLocale)

### getLocales

    public java.util.SortedMap getLocales()

### setLocales

    public void setLocales(java.util.SortedMap locales)

### getCurrentLocales

    public java.util.List<DisplayNameBean.Value> getCurrentLocales()

### editDisplayName

    public void editDisplayName()

### getFacesParam

    public java.lang.String getFacesParam(java.lang.String param)

### editDisplayNames

    public java.lang.String editDisplayNames()
                                      throws org.jboss.portal.common.util.ConversionException

  Throws:
    `org.jboss.portal.common.util.ConversionException`

### getDisplayNameBean

    public DisplayNameBean getDisplayNameBean()

### setDisplayNameBean

    public void setDisplayNameBean(DisplayNameBean displayNameBean)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD